<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:global-filter-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:global-filter-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="firewall" id="exclude-from-ip">

<!-- Copyright (C) 2003, 2004 Tilburg University http://www.uvt.nl/

Author: Joost van Baal

This file is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This file is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

A copy of the GNU General Public License is available online at
http://www.gnu.org/copyleft/gpl.html,.
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111,
USA.

-->

 <lire:title>Exclude Source IP Filter</lire:title>
 <lire:description>
  <para>This filter specification can be used to select packets
   sent from any host excluding the specified one.
  </para>
 </lire:description>

<lire:param-spec>
  <lire:param name="ip-range" type="string" default=".*">
   <lire:description>
    <para>This parameter contains the regular expression that will be
     used to select the packets sent from any host, excluding the matching
     one(s). Only
     packets sent from a host not matching that regexp will be
     included in the subreports. The match is done on the host's IP
     address (not its hostname).
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>selected packets sent from IP addresses not matching
   $ip-range ip</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:not>
   <lire:match value="$from_ip" re="$ip-range" case-sensitive="false"/>
  </lire:not>
 </lire:filter-spec>

</lire:global-filter-spec>
